| The Gaudi Framework v32r1 (f65d50dc)

Public Member Functions | Public Attributes | List of all members
Gaudi::RootNTupleDescriptor Class Reference

Description: More...

`#include <RootCnv/RootRefs.h>`

Collaboration diagram for Gaudi::RootNTupleDescriptor:
[legend]

## Public Member Functions
| RootNTupleDescriptor ()=default
| Standard constructor. More...
virtual | ~RootNTupleDescriptor ()=default
| Standard destructor. More...
| RootNTupleDescriptor ()=default
| Standard constructor. More...
virtual | ~RootNTupleDescriptor ()=default
| Standard destructor. More...

## Public Attributes
std::string | description
| Description string. More...
std::string | optional
| Optional description. More...
std::string | container
| Identifier of description. More...
unsigned long | clid
| Class ID of the described object. More...

## Detailed Description

Description:

Author
  M.Frank

Version
  1.0

Definition at line 98 of file extractEvt.C.

## Constructor & Destructor Documentation

## ◆ RootNTupleDescriptor() [1/2]

Gaudi::RootNTupleDescriptor::RootNTupleDescriptor | ( |  | ) |
| default

Standard constructor.

## ◆ ~RootNTupleDescriptor() [1/2]

virtual Gaudi::RootNTupleDescriptor::~RootNTupleDescriptor | ( |  | ) |
| virtual default

Standard destructor.

## ◆ RootNTupleDescriptor() [2/2]

Gaudi::RootNTupleDescriptor::RootNTupleDescriptor | ( |  | ) |
| default

Standard constructor.

## ◆ ~RootNTupleDescriptor() [2/2]

virtual Gaudi::RootNTupleDescriptor::~RootNTupleDescriptor | ( |  | ) |
| virtual default

Standard destructor.

## Member Data Documentation

## ◆ clid

unsigned long Gaudi::RootNTupleDescriptor::clid

Class ID of the described object.

Definition at line 106 of file extractEvt.C.

## ◆ container

std::string Gaudi::RootNTupleDescriptor::container

Identifier of description.

Definition at line 104 of file extractEvt.C.

## ◆ description

std::string Gaudi::RootNTupleDescriptor::description

Description string.

Definition at line 100 of file extractEvt.C.

## ◆ optional

std::string Gaudi::RootNTupleDescriptor::optional

Optional description.

Definition at line 102 of file extractEvt.C.

The documentation for this class was generated from the following files:

- RootCnv/merge/extractEvt.C
- RootCnv/RootCnv/RootRefs.h